Bug 279581 - xm start raises 'TypeError: int argument required'
xm start raises 'TypeError: int argument required'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 17:59 EDT by Eduardo Habkost
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.1.0-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 17:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix the issue (679 bytes, patch)
2007-09-05 17:59 EDT, Eduardo Habkost
no flags Details | Diff
Fix including xen/xend/image.py (1.30 KB, patch)
2007-09-05 18:24 EDT, Eduardo Habkost
no flags Details | Diff

  None (edit)
Description Eduardo Habkost 2007-09-05 17:59:54 EDT
Version-Release number of selected component (if applicable):
xen-3.1.0-5.fc8


Description of problem:
'xm start' is raising this exception on xend, here:
[2007-09-05 18:29:17 3692] ERROR (xmlrpclib2:178) Internal error handling 
xend.domain.start
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/xen/util/xmlrpclib2.py", line 131, 
in _marshaled_dispatch
    response = self._dispatch(method, params)
  File "/usr/lib64/python2.5/SimpleXMLRPCServer.py", line 415, in _dispatch
    return func(*params)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomain.py", line 994, 
in domain_start
    dominfo.start(is_managed = True)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 
398, in start
    XendTask.log_progress(31, 60, self._initDomain)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendTask.py", line 209, in 
log_progress
    retval = func(*args, **kwds)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 
1580, in _initDomain
    self._createDevices()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 
1369, in _createDevices
    devid = self._createDevice(devclass, config)
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 
1345, in _createDevice
    return self.getDeviceController(deviceClass).createDevice(devConfig)
  File "/usr/lib64/python2.5/site-packages/xen/xend/server/vfbif.py", line 78, 
in createDevice
    args += ['-vnc', "%s:%d%s" % (vnclisten, vncdisplay, vncopts)]
TypeError: int argument required

A cast to int on config.get('vncdisplay') was removed by 
xen-pvfb-02-qemu-pv-machine.patch.

The attached patch fixes the problem.
Comment 1 Eduardo Habkost 2007-09-05 17:59:54 EDT
Created attachment 188051 [details]
Patch to fix the issue
Comment 2 Eduardo Habkost 2007-09-05 18:24:23 EDT
Created attachment 188091 [details]
Fix including xen/xend/image.py

xen/xend/image.py has the same problem. Updated patch to include the fix on
image.py.
Comment 3 Richard W.M. Jones 2007-09-19 05:19:28 EDT
Confirmed that this patch fixes the bug.
Comment 4 Daniel Berrange 2007-09-24 19:13:28 EDT
Fixed in xen-3.1.0-7.fc8

* Mon Sep 24 2007 Daniel P. Berrange <berrange@redhat.com> - 3.1.0-7.fc8
- Re-add support for back-compat FC6 PVFB support
- Fix handling of explicit port numbers (rhbz #279581)
Comment 5 Fedora Update System 2007-09-25 04:26:38 EDT
xen-3.1.0-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-09-26 16:02:19 EDT
xen-3.1.0-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-10-03 17:11:09 EDT
xen-3.1.0-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.